New Search

Mozilla Firefox Thunderbird and Seamonkey Multiple XSS Vulnerabilities

oval:org.mitre.oval:def:6831

Mozilla Firefox before 3.0.9 Thunderbird and SeaMonkey do not properly implement the Same Origin Policy for (1) XMLHttpRequest involving a mismatch for a document's principal and (2) XPCNativeWrapper.toString involving an incorrect __proto__ scope which allows remote attackers to conduct cross-site scripting (XSS) attacks and possibly other attacks via a crafted document.

Family:
windows
Status:
ACCEPTED
Platform(s):
  • Microsoft Windows Server 2008 R2
  • Microsoft Windows 8
  • Microsoft Windows Server 2008
  • Microsoft Windows Server 2012 R2
  • Microsoft Windows Vista
  • Microsoft Windows Server 2012
  • Microsoft Windows Server 2003
  • Microsoft Windows 7
  • Microsoft Windows 8.1
Class:
vulnerability
Reference(s):
  • CVE-2009-1309
Product(s):
  • Mozilla Seamonkey
  • Mozilla Firefox
  • Mozilla Thunderbird